%define oname   gettext

Name:       ruby-%{oname}
Version:    2.3.3
Release:    %mkrel 3
Summary:    A library and tools to localize messages
Group:      Development/Ruby
License:    GPLv2
URL:        http://gettext.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby-GetText-Package is a GNU GetText-like program for Ruby.
The catalog file(po-file) is same format with GNU GetText.
So you can use GNU GetText tools for maintaining.

%files
%{_bindir}/rmsgmerge
%{_bindir}/rmsgfmt
%{_bindir}/rmsginit
%{_bindir}/rxgettext
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

#fix shebang
find %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib -name "*.rb" \
  -exec sed -i '/^#!/d' {} \;


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 2.3.3-3.mga3
+ Revision: 395996
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.3.3-2.mga3
+ Revision: 380919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.3.3-1.mga3
+ Revision: 313026
- update file list
- drop unused sections
- new version 2.3.3

* Thu Feb 10 2011 shikamaru <shikamaru> 2.1.0-1.mga1
+ Revision: 49904
- imported package ruby-gettext

